<?xml version="1.0"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- An xsl stylesheet that produces an index of wizards contained in a 
  naat file. -->
  <!-- The address parameter is the complete url of the engine.php -->
  <!-- This stylesheet uses the "codebase" information of the wizard to
  identify the install directory -->

 
  <xsl:param name="address"/>
  <xsl:param name="file"/>

  <xsl:output method="html" omit-xml-declaration="yes"/>

  <xsl:template match="/">

    <xsl:apply-templates />

  </xsl:template>
  
  
  <xsl:template match="text()"/>

  <xsl:template match="Wizard">
<h1>

<a>
  <xsl:attribute name="href"> <xsl:value-of select="$address"/>?file=<xsl:value-of select="@codebase"/>/<xsl:value-of select="@codebase"/>.wvm&amp;cmd=start</xsl:attribute>
<xsl:value-of select="@name"/>
</a>
</h1>
<a>
  <xsl:attribute name="href"> <xsl:value-of select="$address"/>?file=<xsl:value-of select="@codebase"/>/<xsl:value-of select="@codebase"/>.wvm&amp;DEBUG=1&amp;cmd=reset</xsl:attribute>
(debug version)
</a>
<br/>  
  </xsl:template>

</xsl:stylesheet>
